<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>SE Code of Ethics</title>
	</head>
	<body>
		<em>Science and Engineering Ethics (2001) 7, 231-238</em>
		<br>
		<hr>
		<h1>
			<strong>Software Engineering Code of Ethics and Professional Practices</strong>
		</h1>
		<h4>
			<strong>IEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices
			</strong>
		</h4>
		<hr>
		<p>
		<strong>Keyword:</strong> code of ethics, professional responsibility, software engineering
		</p>
	
		<p><strong>PREAMBLE</strong></p>

		<p>The short version of the code summerizes aspirations at a high level of abstraction. The clauses that are inluded in the fullversion give examples and details of how thse aspirations changes the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the detail, the aspiration can become high-sounding but empty; together, the aspiration and the details form a cohesive code.</p>

		<p>Software engineers shall commit themselves to mking the analysis, specifications, design, development, testing, and maintainance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and walfare of the public, software engineers shall adhere to the following eight Principles:</p>

		<p><strong>PRINCIPLES</strong></p>
		<ol>
			<li> <em>Public. </em>Software engineers shall act consistently with the public interest. 
			</li>
			<li> <em>Client and employer. </em>Softeware engineers shall act in a manner that is in the best interest of their client and employer, consistent with the public interest.</li> 
			<li> <em>Product.</em> Software engineers shall ensure that thir products and related modifications meet the highest standard possible
			</li> 
			<li> <em>Judgement.</em> Software engineers shall maintain integrity and indepenedence in their professional judgement.
			</li> 
			<li> <em>Management.</em> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the manangement of software development and maintenance.
			</li> 
			<li> <em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest
			</li> 
			<li> <em>Colleagues.</em> Software engineers shall befair to and supportive of their colleagues.
			</li> 
			<li> <em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.
			</li>
		</ol>
	</body>
</html>